## visad.data.dods
Class UInt16VectorAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VectorAdapter
              visad.data.dods.NumericVectorAdapter
                  visad.data.dods.FloatVectorAdapter
                      visad.data.dods.UInt16VectorAdapter

public final class UInt16VectorAdapter
extends FloatVectorAdapter

Provides support for adapting a DODS `UInt16PrimitiveVector` to the VisAD data-import context.

Instances are immutable.

Constructor Summary
`UInt16VectorAdapter(UInt16PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Constructs from a DODS vector and a factory for creating DODS variable adapters.

Method Summary
`float[]` `getFloats(PrimitiveVector vec, boolean copy)` Returns the numeric values of a compatible DODS primitive vector.

Methods inherited from class visad.data.dods.FloatVectorAdapter
`griddedSet, setField`

Methods inherited from class visad.data.dods.VectorAdapter
`getMathType, getRepresentationalSets, getVariableAdapter, isFlat, setField, setField, setField, setField, setField, setField, setField, setField, setField`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UInt16VectorAdapter

    public UInt16VectorAdapter(UInt16PrimitiveVector vector,
                               DAS das,
                               VariableAdapterFactory factory)
                        throws BadFormException,
                               VisADException,
                               RemoteException

  Constructs from a DODS vector and a factory for creating DODS variable adapters.

Parameters:
  `vector` - A DODS vector to be adapted.
  `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
  `factory` - A factory for creating adapters of DODS variables.
Throws:
  `BadFormException` - The DODS information is corrupt.
  `VisADException` - VisAD failure.
  `RemoteException` - Java RMI failure.

Method Detail

### getFloats

    public float[] getFloats(PrimitiveVector vec,
                             boolean copy)

  Returns the numeric values of a compatible DODS primitive vector.

  Specified by:
    `getFloats` in class `FloatVectorAdapter`
  Parameters:
    `vec` - A DODS primitive vector that is compatible with the primitive vector used to construct this instance.
    `copy` - If true, then a copy is returned.
  Returns:
    The numeric values of the primitive vector.